Safe (multisig) integration
Test Gnosis Safe Connection
Verifies a Safe exists and has the proposer delegate, then upserts the Safe account, custody link, audit and webhook filter.
POSThttps://api.toku.com/hris/test-gnosis-safe-connection
Not available to API keys yet. It will need integrations:write.
curl --request POST \
--url 'https://api.toku.com/hris/test-gnosis-safe-connection' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"safeAddress": "string",
"chainId": "string",
"draftFundingTokenTypeIDs": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"replacesGnosisSafeAccountID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"signerIdentityID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"importedSignerPrivateKey": "string"
}'200 response
{
"success": true,
"account": {
"gnosisSafeAccountID": "string",
"safeAddress": "string",
"chainId": 0,
"networkName": "string",
"verifiedAt": "string",
"safeAppUrl": "string",
"name": "string",
"isDefault": true,
"signerIdentityID": "string"
},
"safeAddress": "string",
"chainId": "string",
"verifiedAt": "string",
"webhookSyncError": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
safeAddressstringrequiredAllowed: at least 1 characters
chainIdstringrequiredAllowed: at least 1 characters
draftFundingTokenTypeIDsstring<uuid>[]orgIDstring<uuid>namestringAllowed: 1 to 120 characters
replacesGnosisSafeAccountIDstring<uuid>signerIdentityIDstring<uuid>importedSignerPrivateKeystringNOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it
Allowed: matches ^(0x)?[0-9a-fA-F]{64}$
Response
200Successful response
successbooleanrequiredaccountobjectrequiredShow child attributes
gnosisSafeAccountIDstringrequiredsafeAddressstringrequiredchainIdnumberrequirednetworkNamestring | nullrequiredverifiedAtstring | nullrequiredsafeAppUrlstring | nullrequirednamestring | nullrequiredisDefaultbooleanrequiredsignerIdentityIDstring | nullrequiredsafeAddressstringrequiredchainIdstringrequiredverifiedAtstringrequiredwebhookSyncErrorstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits